GeoCatalogs - Create
Create a GeoCatalog
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Orbital/geoCatalogs/{catalogName}?api-version=2026-04-15
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
catalog
|
path | True |
string pattern: ^[a-zA-Z0-9-]{3,24}$ |
The name of the catalog |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| location | True |
string |
The geo-location where the resource lives |
| identity |
The managed service identities assigned to this resource. |
||
| properties |
The resource-specific properties for this resource. |
||
| tags |
object |
Resource tags. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Resource 'GeoCatalog' update operation succeeded |
|
| 201 Created |
Resource 'GeoCatalog' create operation succeeded Headers
|
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
GeoCatalogs_Create
Sample request
PUT https://management.azure.com/subscriptions/cd9b6cdf-dcf0-4dca-ab19-82be07b74704/resourceGroups/MyResourceGroup/providers/Microsoft.Orbital/geoCatalogs/MyCatalog?api-version=2026-04-15
{
"properties": {
"tier": "Basic",
"autoGeneratedDomainNameLabelScope": "NoReuse"
},
"identity": {
"type": "UserAssigned",
"userAssignedIdentities": {
"/subscriptions/cd9b6cdf-dcf0-4dca-ab19-82be07b74704/resourceGroups/MyResourceGroup/providers/Microsoft.ManagedIdentity/userAssignedIdentities/MyManagedIdentity": {}
}
},
"tags": {
"MyTag": "MyValue"
},
"location": "eastus"
}
Sample response
{
"properties": {
"tier": "Basic",
"catalogUri": "https://mycatalog-0123456789abcdef.geocatalog.spatio.azure.com/",
"provisioningState": "Succeeded",
"autoGeneratedDomainNameLabelScope": "NoReuse"
},
"identity": {
"type": "UserAssigned",
"userAssignedIdentities": {
"/subscriptions/cd9b6cdf-dcf0-4dca-ab19-82be07b74704/resourceGroups/MyResourceGroup/providers/Microsoft.ManagedIdentity/userAssignedIdentities/MyManagedIdentity": {
"principalId": "1b1424a8-4d17-4a72-b47f-d1d401c1e2fd",
"clientId": "c57c7b17-2c5e-4996-8169-c74d026ffc5d"
}
}
},
"tags": {
"MyTag": "MyValue"
},
"location": "eastus",
"id": "/subscriptions/cd9b6cdf-dcf0-4dca-ab19-82be07b74704/resourceGroups/MyResourceGroup/providers/Microsoft.Orbital/geoCatalogs/MyCatalog",
"name": "MyCatalog",
"type": "Microsoft.Orbital/geoCatalogs",
"systemData": {
"createdBy": "Catalog User",
"createdByType": "User",
"createdAt": "2023-10-10T18:34:22.271Z",
"lastModifiedBy": "Catalog User",
"lastModifiedByType": "User",
"lastModifiedAt": "2023-10-10T18:34:22.271Z"
}
}
Azure-AsyncOperation: https://contoso.com/operationstatus
{
"properties": {
"tier": "Basic",
"catalogUri": "https://mycatalog-0123456789abcdef.geocatalog.spatio.azure.com/",
"provisioningState": "Accepted",
"autoGeneratedDomainNameLabelScope": "NoReuse"
},
"identity": {
"type": "UserAssigned",
"userAssignedIdentities": {
"/subscriptions/cd9b6cdf-dcf0-4dca-ab19-82be07b74704/resourceGroups/MyResourceGroup/providers/Microsoft.ManagedIdentity/userAssignedIdentities/MyManagedIdentity": {
"principalId": "1b1424a8-4d17-4a72-b47f-d1d401c1e2fd",
"clientId": "c57c7b17-2c5e-4996-8169-c74d026ffc5d"
}
}
},
"tags": {
"MyTag": "MyValue"
},
"location": "eastus",
"id": "/subscriptions/cd9b6cdf-dcf0-4dca-ab19-82be07b74704/resourceGroups/MyResourceGroup/providers/Microsoft.Orbital/geoCatalogs/MyCatalog",
"name": "MyCatalog",
"type": "Microsoft.Orbital/geoCatalogs",
"systemData": {
"createdBy": "Catalog User",
"createdByType": "User",
"createdAt": "2023-10-10T18:34:22.271Z",
"lastModifiedBy": "Catalog User",
"lastModifiedByType": "User",
"lastModifiedAt": "2023-10-10T18:34:22.271Z"
}
}
Definitions
| Name | Description |
|---|---|
|
Auto |
The scope at which the auto-generated domain name label is generated and at which the resource name can be reused. |
|
Catalog |
The Microsoft Planetary Computer Pro GeoCatalog tier |
|
created |
The type of identity that created the resource. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Geo |
A Microsoft Planetary Computer Pro GeoCatalog resource |
|
Geo |
The details of the Microsoft Planetary Computer Pro GeoCatalog. |
|
Managed |
Managed service identity (system assigned and/or user assigned identities) |
|
Managed |
Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed). |
|
Provisioning |
The status of the current operation. |
|
system |
Metadata pertaining to creation and last modification of the resource. |
|
User |
User assigned identity properties |
AutoGeneratedDomainNameLabelScope
The scope at which the auto-generated domain name label is generated and at which the resource name can be reused.
| Value | Description |
|---|---|
| NoReuse |
The domain name label is randomly generated. The resource name cannot be reused within the same region. |
| TenantReuse |
The domain name label is deterministically generated using the resource name and tenant id. The resource name cannot be reused within the same region and tenant. |
| SubscriptionReuse |
The domain name label is deterministically generated using the resource name, tenant id, and subscription id. The resource name cannot be reused within the same region and subscription. |
| ResourceGroupReuse |
The domain name label is deterministically generated using the resource name, tenant id, subscription id, and resource group name. The resource name cannot be reused within the same resource group. |
CatalogTier
The Microsoft Planetary Computer Pro GeoCatalog tier
| Value | Description |
|---|---|
| Basic |
The basic tier that utilizes shared resources across catalog instances |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
GeoCatalog
A Microsoft Planetary Computer Pro GeoCatalog resource
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| identity |
The managed service identities assigned to this resource. |
|
| location |
string |
The geo-location where the resource lives |
| name |
string |
The name of the resource |
| properties |
The resource-specific properties for this resource. |
|
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| tags |
object |
Resource tags. |
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
GeoCatalogProperties
The details of the Microsoft Planetary Computer Pro GeoCatalog.
| Name | Type | Default value | Description |
|---|---|---|---|
| autoGeneratedDomainNameLabelScope | TenantReuse |
The scope of the auto-generated domain name label. If not provided, defaults to TenantReuse. |
|
| catalogUri |
string |
The URI of the catalog management UI. |
|
| provisioningState |
The status of the last operation. |
||
| tier | Basic |
Tier of the catalog. This cannot be changed after the catalog is created. If not provided, defaults to Basic. |
ManagedServiceIdentity
Managed service identity (system assigned and/or user assigned identities)
| Name | Type | Description |
|---|---|---|
| principalId |
string (uuid) |
The service principal ID of the system assigned identity. This property will only be provided for a system assigned identity. |
| tenantId |
string (uuid) |
The tenant ID of the system assigned identity. This property will only be provided for a system assigned identity. |
| type |
Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed). |
|
| userAssignedIdentities |
<string,
User |
User-Assigned Identities |
ManagedServiceIdentityType
Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
| Value | Description |
|---|---|
| None | |
| SystemAssigned | |
| UserAssigned | |
| SystemAssigned,UserAssigned |
ProvisioningState
The status of the current operation.
| Value | Description |
|---|---|
| Succeeded |
Resource has been created. |
| Failed |
Resource creation failed. |
| Canceled |
Resource creation was canceled. |
| Provisioning |
The catalog is being provisioned. |
| Updating |
The catalog is being updated. |
| Deleting |
The catalog is being deleted. |
| Accepted |
The catalog request has been accepted. |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |
UserAssignedIdentity
User assigned identity properties
| Name | Type | Description |
|---|---|---|
| clientId |
string (uuid) |
The client ID of the assigned identity. |
| principalId |
string (uuid) |
The principal ID of the assigned identity. |